why i cant install the host package of yocto project

“sudo apt install gawk wget git diffstat unzip texinfo gcc build-essential chrpath socat cpio python3 python3-pip python3-pexpect xz-utils debianutils iputils-ping python3-git python3-jinja2 libegl1-mesa libsdl1.2-dev pylint3 xterm python3-subunit mesa-common-dev zstd liblz4-tool” this package is downloaded from yocto tutorial,but when i enter this package and run it shows the error message “Unable to locate package pylint3”.

Just cursor back to pylint3 and delete it then hit enter.

That package has been deprecated, the build instructions have not been updated on the yocto site. I don’t have it installed and everything “so far” has been okay.

its working but after finishing the process i enter “ls” but i cant find a folder with name ‘workspace’

Source your build then in your build directory

$devtool status

That will create your workspace layer.

Unless you are building a layer that workspace directory is not needed.

xxxx@xxxxxxx:~/poky/test-build$ tree -d -L 1
.
├── cache
├── conf
├── tmp
└── workspace